Volt Accounts API (legacy)Volt accounts
Get list of transactions
Authorization
apiBearerAuth AuthorizationBearer <token>
In: header
Path Parameters
accountId*string
Id of Virtual account
Format
uuidcurrency*string
Currency code, supported by Volt
Value in
- "EUR"
- "GBP"
- "DKK"
- "PLN"
Query Parameters
page*integer
Number of a page
Default
1limit*integer
Number of items on the page
Default
100dateFrom*string
Date in YYYY-MM-DD format
Format
datedateTo*string
Date in YYYY-MM-DD format
Format
dateResponse Body
application/json
curl -X GET "https://example.com/accounts/94c01e1e-533e-41d5-ab70-ac163d6099f5/EUR/transactions?page=1&limit=5&dateFrom=2024-10-29&dateTo=2024-11-05"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "createdAt": "2019-08-24T14:15:22Z", "operation": "debit", "type": "payout", "payout": { "type": "string", "payoutId": "c3d65312-6575-43de-b8ae-728d8d0a9371" }, "reference": "string", "status": "string", "amount": "string", "currency": "string", "balance": { "before": "string", "after": "string" }, "sender": { "name": "string", "country": "string", "account": { "accountIdentifiers": { "iban": "string" }, "country": "string" }, "virtualAccount": { "accountIdentifiers": { "iban": "string" }, "virtualAccountId": "string", "country": "string" }, "taxIdentificationNumber": "string", "address": "string" }, "beneficiary": { "name": "string", "country": "string", "email": "string", "account": { "accountIdentifiers": { "bic": "string", "iban": "string" }, "country": "string" }, "taxIdentificationNumber": "string", "address": "string" } }]